package com.bwie.auth.feign.falltry;

import com.bwie.auth.feign.SystemRemote;
import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * @Author：zhangchengzhi
 * @Package：com.bwie.auth.feign.falltry
 * @Project：week_7.30_house
 * @name：SystemRemoteService
 * @Date：2024/7/30 11:21
 */
@Component
public class SystemRemoteService implements FallbackFactory<SystemRemote> {


    @Override
    public SystemRemote create(Throwable cause) {


        return new SystemRemote() {
            @Override
            public Result<User> login(String userPhone) {
                return Result.error(cause.getMessage());
            }

            @Override
            public Result<User> getOnlineuser() {
                return Result.error(cause.getMessage());
            }
        };
    }
}
