package com.bwie.common.exception;

import com.bwie.common.result.Result;
import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

/**
 * @Author：zhangchengzhi
 * @Package：com.bwie.house
 * @Project：week_7.30_house
 * @name：GlobalException
 * @Date：2024/7/30 11:54
 */
@RestControllerAdvice
@Log4j2
public class GlobalException {



@ExceptionHandler(RuntimeException.class)
    public Result globalException(Throwable e){

    String message = e.getMessage();
    StackTraceElement stackTraceElement = e.getStackTrace()[0];
    String className = stackTraceElement.getClassName();
    String methodName = stackTraceElement.getMethodName();

    log.info("报错信息:"+message+",报错的类:"+className+",报错的方法:"+methodName);

    return Result.success("报错信息:"+message+",报错的类:"+className+",报错的方法:"+methodName);
}







}
