package com.bwie.house.controller;

import com.bwie.common.domain.House;
import com.bwie.common.domain.User;
import com.bwie.common.domain.request.HouseReq;
import com.bwie.common.result.Result;
import com.bwie.house.service.HouseService;
import com.bwie.house.service.LogsService;
import com.bwie.house.service.TypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @Author：zhangchengzhi
 * @Package：com.bwie.house.controller
 * @Project：week_7.30_house
 * @name：HouseController
 * @Date：2024/7/30 9:58
 */
@RestController
@RequestMapping("/house")
public class HouseController {

@Autowired
private LogsService logsService;

@Autowired
    private HouseService houseService;

//列表


@PostMapping("/houseList")
    public Result<List<House>> houseList(@RequestBody HouseReq houseReq){

 List<House> list =  houseService.houseList(houseReq);


    return Result.success(list);
}


//通过id回显house请求

 @PostMapping("/findHouseById/{houseId}")
 public Result<House>  findHouseById(@PathVariable Integer houseId){

    //点击租房判断此用户是否已经租房，如果已经存在租房记录，并且未到期，则不可以再次进行租房
     User onlieUser = logsService.getOnlieUser();
//统计用户的租房
     Integer i = logsService.findlogsByUserId(onlieUser.getUserId());

     if (0!=i){
     //不为0时 说明用户不符合租房要求
         return Result.error("用户不符合租房要求");
     }

     House house =   houseService.findHouseById(houseId);




    return Result.success(house);
 }






}
