package com.bwie.house.controller;

import com.bwie.common.domain.Logs;
import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import com.bwie.house.feign.SystemRemote;
import com.bwie.house.service.LogsService;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @Author：zhangchengzhi
 * @Package：com.bwie.house.controller
 * @Project：week_7.30_house
 * @name：LogsController
 * @Date：2024/7/30 10:03
 */
@RestController
@RequestMapping("/logs")
public class LogsController {

@Autowired
    private LogsService logsService;

@Autowired
private SystemRemote systemRemote;

@PostMapping("/logsList")
    public Result<List<Logs>> logsList(){


  List<Logs> list  = logsService.logsList();


    return Result.success(list);
}


/**
 * 租房请求
 */

@Transactional
@PostMapping("/addLogs")
    public Result addLogs(@RequestBody Logs logs){

User user = logsService.getOnlieUser();

logs.setUserId(user.getUserId());
//添加租房记录
  int i =  logsService.addLogs(logs);

    //修改用户租房次数记录优惠次数 如果用户为第二次租房，则不再享受优惠
    if (0<i){
        Result result = systemRemote.updateUserBYId(user.getUserId());
    }
    return Result.success();
}

@Autowired
private RabbitTemplate rabbitTemplate;
/**
 * 定时任务审批租房申请
 */
//使用定时任务每30秒自动审批用户贷款申请
@Scheduled(cron = "0/30 * * * * ?")
public void clock(){

//获取所有的未审批的贷款信息
    List<Logs> logsList = logsService.logsList();



}


}
