package com.bwie.house.controller;

import com.alibaba.fastjson.JSONObject;
import com.bwie.common.domain.Type;
import com.bwie.common.result.Result;
import com.bwie.house.service.TypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author：zhangchengzhi
 * @Package：com.bwie.house.controller
 * @Project：week_7.30_house
 * @name：TypeController
 * @Date：2024/7/30 10:00
 */
@RestController
@RequestMapping("/type")
public class TypeController {

@Autowired
    private TypeService typeService;

@Autowired
private StringRedisTemplate redisTemplate;

//查询签约时长

 @PostMapping("/typeList")
    public Result<List<Type>> typeList(){

     if (redisTemplate.hasKey("type")){

         List<String> stringList = redisTemplate.opsForList().range("type", 0, -1);
         ArrayList<Type> arrayList = new ArrayList<>();

         for (String string : stringList) {
             Type type = JSONObject.parseObject(string, Type.class);
             arrayList.add(type);
         }
return Result.success(arrayList);
     }


List<Type> list = typeService.typeList();

     for (Type type : list) {
         redisTemplate.opsForList().rightPush("type",JSONObject.toJSONString(type));
     }


     return Result.success(list);
 }



}
