package com.bwie.house.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.bwie.common.constants.TokenConstants;
import com.bwie.common.domain.Logs;
import com.bwie.common.domain.User;
import com.bwie.common.utils.JwtUtils;
import com.bwie.house.mapper.LogsMapper;
import com.bwie.house.service.LogsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * @Author：zhangchengzhi
 * @Package：com.bwie.house.service.impl
 * @Project：week_7.30_house
 * @name：LogsServiceImpl
 * @Date：2024/7/30 10:04
 */
@Service
public class LogsServiceImpl implements LogsService {

    @Autowired
    private LogsMapper logsMapper;


    @Override
    public List<Logs> logsList() {
        return logsMapper.logsList();
    }


    @Autowired
    private HttpServletRequest request;
    @Autowired
    private StringRedisTemplate redisTemplate;

    @Override
    public int addLogs(Logs logs) {

    int i =   logsMapper.addLogs(logs);



        return i;
    }

    @Override
    public User getOnlieUser() {
        String token = request.getHeader(TokenConstants.TOKEN);

        String userKey = JwtUtils.getUserKey(token);

        String string = redisTemplate.opsForValue().get(TokenConstants.LOGIN_TOKEN_KEY + userKey);

        User user = JSONObject.parseObject(string, User.class);

        return user;

    }

    @Override
    public Integer findlogsByUserId(Integer userId) {

        return logsMapper.findlogsByUserId(userId);
    }


}
