package com.bwie.system.controller;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import com.bwie.system.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author：zhangchengzhi
 * @Package：com.bwie.system.controller
 * @Project：week_7.30_house
 * @name：UserController
 * @Date：2024/7/30 9:53
 */
@RestController
@RequestMapping("/user")
public class UserController {

    @Autowired
    private UserService userService;


    @PostMapping("/login/{userPhone}")
    public Result<User> login(@PathVariable String userPhone){

       User user = userService.login(userPhone);

      return Result.success(user);
    };

    /**
     * 获取当前用户信息
     * @return
     */
    @PostMapping("/getOnlineuser")
    public Result<User> getOnlineuser(){

      User user =  userService.getOnlineuser();


        return Result.success(user);
    }

    /**
     * 修改用户信息
     */
    @PostMapping("/updateUserBYId/{userId}")
    public Result updateUserBYId(@PathVariable Integer userId){


      Integer i  =    userService.updateUserBYId(userId);


        return Result.success();
    }



}
