package com.bwie.system.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.bwie.common.constants.TokenConstants;
import com.bwie.common.domain.User;
import com.bwie.common.utils.JwtUtils;
import com.bwie.system.mapper.UserMapper;
import com.bwie.system.service.UserService;
import org.apache.commons.collections.map.HashedMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletRequest;

/**
 * @Author：zhangchengzhi
 * @Package：com.bwie.system.service.impl
 * @Project：week_7.30_house
 * @name：UserServiceImpl
 * @Date：2024/7/30 9:54
 */
@Service
public class UserServiceImpl implements UserService {

@Autowired
    private UserMapper userMapper;


    @Override
    public User login(String userPhone) {


        return userMapper.login(userPhone);
    }

    @Autowired
    private HttpServletRequest request;

    @Autowired
    private StringRedisTemplate redisTemplate;

    @Override
    public User getOnlineuser() {

        String token = request.getHeader(TokenConstants.TOKEN);

        String userKey = JwtUtils.getUserKey(token);

        String string = redisTemplate.opsForValue().get(TokenConstants.LOGIN_TOKEN_KEY + userKey);

        User user = JSONObject.parseObject(string, User.class);

        Integer userId = user.getUserId();

     User userOnline=   userMapper.findUserById(userId);


        return userOnline;

    }

    @Override
    public Integer updateUserBYId(Integer userId) {
        return userMapper.updateUserBYId(userId);
    }
}
